Incompatible ATS & ETS2 version

American Truck Simulator and Euro Truck Simulator 2 were just updated to version 1.44!
We do not support this update yet, but fortunately it is possible to downgrade to 1.43.

For information on downgrading your game, please click here

Event Description

Location Dresden (city)
Destination Rotterdam (city)
Main Language English
Communication https://discord.gg/cteam
Link https://www.corleoneteam.com

Event Information


Attending (37)

User
TWITCH_Naiker03
2 days ago
User
Furkanxx58
2 days ago
User
rsp1990
3 days ago
User
EaYzE
3 days ago
User
Semolimo
3 days ago
User
emrederiin
3 days ago
User
TRWESSELAM
3 days ago
User
LaZuria_08
4 days ago
User
ellibesh
5 days ago
User
AzraeList
5 days ago
User
thebitosh
5 days ago
User
Semoly
5 days ago
User
alignctr
5 days ago
User
[SAMET-29]
1 week ago
User
McNico
1 week ago
User
F i L i N T A
1 week ago
User
Lexora.
2 weeks ago
User
kado38344
2 weeks ago
User
/\ BaBa Bahri /\
2 weeks ago
User
TR Eray [17]
2 weeks ago
User
Tikeidi
2 weeks ago
User
[Yükselen] Cioman
2 weeks ago
User
Lelouch__
2 weeks ago
User
S.Tamer
2 weeks ago
User
xBARON
2 weeks ago
User
True AlphA
2 weeks ago
User
basarabasar
2 weeks ago
User
EmirhanC
2 weeks ago
User
TazZven
2 weeks ago
User
uG[r]BBr
2 weeks ago
User
H4SO
2 weeks ago

Unsure (4)

User
AmazeEject
1 week ago
User
ALLIANCE Jean M.
1 week ago
User
TheDreamer7up
2 weeks ago